/*
 * MIT License
 *
 * Copyright (c) 2018-2019 Daniel Cortes
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package danielcortes.xyz.models.ingreso;

import danielcortes.xyz.models.caja.Caja;
import danielcortes.xyz.models.tipo_ingreso.TipoIngreso;
import java.util.Objects;

public class Ingreso {

  private int id;
  private int valor;
  private String nroZInicial;
  private String nroZFinal;
  private String nroInicial;
  private String nroFinal;
  private TipoIngreso tipoIngreso;
  private Caja caja;

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public int getValor() {
    return valor;
  }

  public void setValor(int valor) {
    this.valor = valor;
  }

  public String getNroZInicial() {
    return nroZInicial;
  }

  public void setNroZInicial(String nroZInicial) {
    this.nroZInicial = nroZInicial;
  }

  public String getNroZFinal() {
    return nroZFinal;
  }

  public void setNroZFinal(String nroZFinal) {
    this.nroZFinal = nroZFinal;
  }

  public String getNroInicial() {
    return nroInicial;
  }

  public void setNroInicial(String nroInicial) {
    this.nroInicial = nroInicial;
  }

  public String getNroFinal() {
    return nroFinal;
  }

  public void setNroFinal(String nroFinal) {
    this.nroFinal = nroFinal;
  }

  public TipoIngreso getTipoIngreso() {
    return tipoIngreso;
  }

  public void setTipoIngreso(TipoIngreso tipoIngreso) {
    this.tipoIngreso = tipoIngreso;
  }

  public Caja getCaja() {
    return caja;
  }

  public void setCaja(Caja caja) {
    this.caja = caja;
  }

  @Override
  public String toString() {
    return "Ingreso{" +
        "id=" + id +
        ", valor=" + valor +
        ", nroZInicial='" + nroZInicial + '\'' +
        ", nroZFinal='" + nroZFinal + '\'' +
        ", nroInicial='" + nroInicial + '\'' +
        ", nroFinal='" + nroFinal + '\'' +
        ", tipoIngreso=" + tipoIngreso +
        ", caja=" + caja +
        '}';
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof Ingreso)) {
      return false;
    }
    Ingreso ingreso = (Ingreso) o;
    return id == ingreso.id &&
        valor == ingreso.valor &&
        Objects.equals(nroZInicial, ingreso.nroZInicial) &&
        Objects.equals(nroZFinal, ingreso.nroZFinal) &&
        Objects.equals(nroInicial, ingreso.nroInicial) &&
        Objects.equals(nroFinal, ingreso.nroFinal) &&
        Objects.equals(tipoIngreso, ingreso.tipoIngreso) &&
        Objects.equals(caja, ingreso.caja);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, valor, nroZInicial, nroZFinal, nroInicial, nroFinal, tipoIngreso, caja);
  }
}
